resource_rules:
  issues:
    rules:
      - name: Randomly assign to Security Policies engineer to refine
        conditions:
          state: opened
          labels:
            - "group::security policies"
            - backend
            - "workflow::refinement"
          ruby: resource[:assignees].empty? && milestone&.title&.match?(/\A\d+\.\d+\z/)
        actions:
          comment: |
            #{security_policies_be}, could you please [refine](https://handbook.gitlab.com/handbook/engineering/development/sec/security-risk-management/srm-planning/#refinement-guidelines) this issue?

            [Bot policy](https://gitlab.com/gitlab-org/quality/triage-ops/-/blob/master/policies/groups/gitlab-org/security-policies/assign-refinement.yml).

            /assign #{security_policies_be}
